/* ==========================================================================
   Jumbotron
   ==========================================================================*/

.jumbotron {
  height: 459px;
  padding-top: 189px;
  padding-bottom: 54px;
  /*background-color: #CE92C0;*/
  background: url(/img/Teslasoft_1920x459.jpg) no-repeat center center;
  /*background-size: cover;*/
  margin-bottom: 0px;
  letter-spacing: 0.02em;
  color: #f5f9ec;
  text-shadow: #444 0px 0px 3px;
  opacity: 0;
  @media (max-width: 992px) {
    right: 0px;
    background-position: right 70%
  }

  //filter: alpha(opacity=0)

  .no-js & {
    opacity: 1;
    filter: alpha(opacity=1)
  }

  .container {
    padding-left: 0px;
    padding-right: 0px;
    @media (min-width: 768px) {
        padding-left: 30px
    }
  }

  #{headings(1,4)} {
    margin-top: 12px;
  }

  /* Setting Jumbotron font sizes is not nessesary due to fitText function. */
  /*@media (max-width:767px){
      h1, .jumbotron.h1 {
          font-size: 3.5em
      }
      h2, .h2 {
          font-size: 2em
      }
      h3, .h3 {
          font-size: 1.5em
      }
      h4, .h4 {
          font-size: 1em
      }
  }*/

  /*@media (max-width:512px) {
    padding-left: 15px;
    padding-right: 15px
  }*/
}
/* ==========================================================================
   CSS3 slideDown */

@import "compass/css3/animation";
@import "compass/css3/transform";
@import "compass/css3/transition";
.slideDown{
  opacity: 0;
  @include animation(slideDown 1.5s ease forwards);
  visibility: visible !important
}

@include keyframes(slideDown){
  0% {
    @include transform(translateY(-500%));
  }
  25%{
    opacity: 0
  }
  100% {
    @include transform(translateY(0%));
    opacity: 1
  }
}

*.opacity-in{
  opacity: 1
}
/* Opacity in */
.opacity-in {
  @include transition(opacity .75s ease-in, background-position .0s linear);
}

.opacityTransition {
  @include animation(opacityTransition 2s ease-in-out infinite);
}

@include keyframes(opacityTransition){
  0%,100%{ opacity: 0 }
  50%    { opacity: 1 }
}

/* ==========================================================================
   Energy Glow */

#energy-glow-container{
  position: absolute;
  margin: auto;
  top: 171px;
  left: 0;
  bottom: 0;
  right: -940px;
  width: 30px;
  overflow: auto;
  opacity: 0;
  filter: alpha(opacity=0)
}

#energy-glow{
  margin: 0;
  padding: 0;
  width: 30px
}

@media (max-width:992px) {

  #energy-glow-container{
    margin-right: 30%;
    right: -101px;
  }
}